.. _VirtualUSB: ../../../vim/vm/device/VirtualUSB.rst

.. _VirtualUSBOption: ../../../vim/vm/device/VirtualUSBOption.rst

.. _VirtualUSBUSBBackingOption: ../../../vim/vm/device/VirtualUSBOption/USBBackingOption.rst

.. _vim.vm.device.VirtualDeviceOption: ../../../vim/vm/device/VirtualDeviceOption.rst

.. _VirtualUSBRemoteHostBackingOption: ../../../vim/vm/device/VirtualUSBOption/RemoteHostBackingOption.rst


vim.vm.device.VirtualUSBOption
==============================
  The `VirtualUSBOption`_ data object type contains options for USB device configuration on a virtual machine. The vSphere API supports the following options:
   * Local host USB connection (
   * `VirtualUSBUSBBackingOption`_
   * )
   * Remote host USB connection (
   * `VirtualUSBRemoteHostBackingOption`_
   * )For information about USB device configuration, see `VirtualUSB`_ .
:extends: vim.vm.device.VirtualDeviceOption_

Attributes:
